Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 2012423004: Rename Event.scoped to Event.composed and invert its meaning (Closed)

Created:
2 years, 10 months ago by hayato
Modified:
2 years, 9 months ago
Reviewers:
kochi
CC:
blink-reviews, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@event-composed-path
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Rename Event.scoped to Event.composed with default being false See https://dom.spec.whatwg.org/#dom-event-composed for the spec. See https://github.com/whatwg/html/issues/1160 for the context. For histograms, TBR=isherman@chromium.org BUG=531990 Committed: https://crrev.com/e92d0a685af6a88b47d10a6abf5f9aaf29dcdeb7 Cr-Commit-Position: refs/heads/master@{#396819}

Patch Set 1 #

Patch Set 2 : wip #

Total comments: 4

Patch Set 3 : fixed #

Patch Set 4 : rebased #

Unified diffs Side-by-side diffs Delta from patch set Stats (+173 lines, -45 lines) Patch
M third_party/WebKit/LayoutTests/TestExpectations View 1 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-get-expected.txt View 1 2 3 2 chunks +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/fast/xmlhttprequest/xmlhttprequest-responsetype-arraybuffer-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/http/tests/serviceworker/webexposed/global-interface-listing-service-worker-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/inspector/console/console-dir-expected.txt View 1 2 3 2 chunks +1 line, -1 line 0 comments Download
A third_party/WebKit/LayoutTests/shadow-dom/event-composed.html View 1 2 1 chunk +48 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/resources/shadow-dom.js View 1 1 chunk +66 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/scoped-events-by-ua-stopped.html View 1 chunk +7 lines, -7 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html View 2 chunks +0 lines, -4 lines 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/slotchange-host-child-appended.html View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/slotchange-node-removed.html View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/shadow-dom/slotchange-slotname-renamed.html View 1 1 chunk +0 lines, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-dedicated-worker-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-shared-worker-expected.txt View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/events/Event.h View 3 chunks +5 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/core/events/Event.cpp View 1 4 chunks +18 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/core/events/Event.idl View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/events/EventInit.idl View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/events/EventPath.cpp View 1 2 1 chunk +7 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/core/frame/UseCounter.h View 1 1 chunk +1 line, -1 line 0 comments Download
M tools/metrics/histograms/histograms.xml View 1 1 chunk +1 line, -1 line 0 comments Download

Depends on Patchset:

Messages

Total messages: 34 (16 generated)
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2012423004/1 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2012423004/1
2 years, 10 months ago (2016-05-27 08:04:11 UTC) #2
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: chromeos_amd64-generic_chromium_compile_only_ng on tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromeos_amd64-generic_chromium_compile_only_ng/builds/144339)
2 years, 10 months ago (2016-05-27 08:26:31 UTC) #4
hayato
wip
2 years, 9 months ago (2016-05-31 05:34:07 UTC) #6
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2012423004/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2012423004/20001
2 years, 9 months ago (2016-05-31 05:34:11 UTC) #7
hayato
PTAL
2 years, 9 months ago (2016-05-31 06:03:43 UTC) #11
kochi
lgtm % nits https://codereview.chromium.org/2012423004/diff/20001/third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html File third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html (left): https://codereview.chromium.org/2012423004/diff/20001/third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html#oldcode41 third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html:41: assert_array_equals(e.scoped, true); assert_array_equals() is weird here, ...
2 years, 9 months ago (2016-05-31 06:36:57 UTC) #12
commit-bot: I haz the power
Dry run: Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/78910)
2 years, 9 months ago (2016-05-31 06:56:19 UTC) #14
hayato
fixed
2 years, 9 months ago (2016-05-31 07:11:22 UTC) #16
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2012423004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2012423004/40001
2 years, 9 months ago (2016-05-31 07:11:30 UTC) #17
hayato
https://codereview.chromium.org/2012423004/diff/20001/third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html File third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html (left): https://codereview.chromium.org/2012423004/diff/20001/third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html#oldcode41 third_party/WebKit/LayoutTests/shadow-dom/slotchange-event.html:41: assert_array_equals(e.scoped, true); On 2016/05/31 at 06:36:57, kochi wrote: > ...
2 years, 9 months ago (2016-05-31 07:12:24 UTC) #18
kochi
lgtm Removing the failing WPT tests in the upstream: https://github.com/w3c/web-platform-tests/pull/3097
2 years, 9 months ago (2016-05-31 07:37:57 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2012423004/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2012423004/40001
2 years, 9 months ago (2016-05-31 07:41:27 UTC) #22
commit-bot: I haz the power
Try jobs failed on following builders: linux_android_rel_ng on tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/linux_android_rel_ng/builds/78942)
2 years, 9 months ago (2016-05-31 08:25:23 UTC) #24
hayato
rebased
2 years, 9 months ago (2016-05-31 09:05:37 UTC) #26
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2012423004/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2012423004/60001
2 years, 9 months ago (2016-05-31 09:05:43 UTC) #27
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2012423004/60001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2012423004/60001
2 years, 9 months ago (2016-05-31 09:07:56 UTC) #31
commit-bot: I haz the power
Committed patchset #4 (id:60001)
2 years, 9 months ago (2016-05-31 12:48:07 UTC) #32
commit-bot: I haz the power
2 years, 9 months ago (2016-05-31 12:49:46 UTC) #34
Message was sent while issue was closed.
Patchset 4 (id:??) landed as
https://crrev.com/e92d0a685af6a88b47d10a6abf5f9aaf29dcdeb7
Cr-Commit-Position: refs/heads/master@{#396819}

Powered by Google App Engine
This is Rietveld 408576698